Skip to main content
`Ctrl`+`K`

# MatCUSPARSEFormatOperation

indicates the operation of `MATAIJCUSPARSE` (GPU) matrices whose operation should use a particular storage format.

## Synopsis

    typedef enum {
      MAT_CUSPARSE_MULT_DIAG,
      MAT_CUSPARSE_MULT_OFFDIAG,
      MAT_CUSPARSE_MULT,
      MAT_CUSPARSE_ALL
    } MatCUSPARSEFormatOperation;

## Values

- `MAT_CUSPARSE_MULT_DIAG` - sets the storage format for the diagonal matrix in the parallel `MatMult()`

- `MAT_CUSPARSE_MULT_OFFDIAG` - sets the storage format for the off-diagonal matrix in the parallel `MatMult()`

- `MAT_CUSPARSE_MULT` - sets the storage format for the entire matrix in the serial (single GPU) `MatMult()`

- `MAT_CUSPARSE_ALL` - sets the storage format for all `MATAIJCUSPARSE` (GPU) matrices

## See Also

Matrices, `MatCUSPARSESetFormat()`, `MatCUSPARSEStorageFormat`

## Level

intermediate

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages